Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnNames.TYPE_INFO

Enclosing interface:
  JDBCColumnNames

    public static interface JDBCColumnNames.TYPE_INFO

This class contains constants representing column names on ResultSet returned by getTypeInfo method on DatabaseMetaData. These constant values are be used to hard code the column names used in construction of the ResultSet obj.

Field Summary
`static String` | `AUTOINCREMENT` name of column that contains info whether the column is autoincrementable
`static String` | `CASE_SENSITIVE` name of column that has an String value indicating case sensitivity
`static String` | `CREATE_PARAMS`
`static String` | `DATA_TYPE` name of column that contains SQL type from java.sql.Types for column's data type.
`static String` | `FIXED_PREC_SCALE` name of column that contains info if the column is a currency value
`static String` | `LITERAL_PREFIX`
`static String` | `LITERAL_SUFFIX`
`static String` | `LOCAL_TYPE_NAME` name of column that localised version of type name
`static String` | `MAXIMUM_SCALE` name of column that gives the max scale supported
`static String` | `MINIMUM_SCALE` name of column that gives the min scale supported
`static String` | `NULLABLE` name of column that has an String value indicating nullablity
`static String` | `NUM_PREC_RADIX`
`static String` | `PRECISION`
`static String` | `SEARCHABLE` name of column that has an String value indicating searchability
`static String` | `SQL_DATA_TYPE` name of column that not used will contain nulls
`static String` | `SQL_DATETIME_SUB` name of column that not used will contain nulls
`static String` | `TYPE_NAME` name of column that contains local type name used by the data source.
`static String` | `UNSIGNED_ATTRIBUTE` name of column that has an String value indicating searchability

Field Detail

### TYPE_NAME

    static final String TYPE_NAME

  name of column that contains local type name used by the data source.

  See Also:
    Constant Field Values

### DATA_TYPE

    static final String DATA_TYPE

  name of column that contains SQL type from java.sql.Types for column's data type.

  See Also:
    Constant Field Values

### PRECISION

    static final String PRECISION

See Also:
  Constant Field Values

### LITERAL_PREFIX

    static final String LITERAL_PREFIX

See Also:
  Constant Field Values

### LITERAL_SUFFIX

    static final String LITERAL_SUFFIX

See Also:
  Constant Field Values

### CREATE_PARAMS

    static final String CREATE_PARAMS

See Also:
  Constant Field Values

### NULLABLE

    static final String NULLABLE

  name of column that has an String value indicating nullablity

  See Also:
    Constant Field Values

### CASE_SENSITIVE

    static final String CASE_SENSITIVE

  name of column that has an String value indicating case sensitivity

  See Also:
    Constant Field Values

### SEARCHABLE

    static final String SEARCHABLE

  name of column that has an String value indicating searchability

  See Also:
    Constant Field Values

### UNSIGNED_ATTRIBUTE

    static final String UNSIGNED_ATTRIBUTE

  name of column that has an String value indicating searchability

  See Also:
    Constant Field Values

### FIXED_PREC_SCALE

    static final String FIXED_PREC_SCALE

  name of column that contains info if the column is a currency value

  See Also:
    Constant Field Values

### AUTOINCREMENT

    static final String AUTOINCREMENT

  name of column that contains info whether the column is autoincrementable

  See Also:
    Constant Field Values

### LOCAL_TYPE_NAME

    static final String LOCAL_TYPE_NAME

  name of column that localised version of type name

  See Also:
    Constant Field Values

### MINIMUM_SCALE

    static final String MINIMUM_SCALE

  name of column that gives the min scale supported

  See Also:
    Constant Field Values

### MAXIMUM_SCALE

    static final String MAXIMUM_SCALE

  name of column that gives the max scale supported

  See Also:
    Constant Field Values

### SQL_DATA_TYPE

    static final String SQL_DATA_TYPE

  name of column that not used will contain nulls

  See Also:
    Constant Field Values

### SQL_DATETIME_SUB

    static final String SQL_DATETIME_SUB

  name of column that not used will contain nulls

  See Also:
    Constant Field Values

### NUM_PREC_RADIX

    static final String NUM_PREC_RADIX

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.